## org.hibernate.cache.ehcache.management.impl
Class BeanUtils

    java.lang.Object
      org.hibernate.cache.ehcache.management.impl.BeanUtils

    public class BeanUtils

extends Object

Reflective utilities for dealing with backward-incompatible change to statistics types in Hibernate 3.5.

Constructor Summary
`BeanUtils()`

Method Summary
`static Object` `getBeanProperty(Object bean, String propertyName)` Retrieve a named bean property value.
`static long` `getLongBeanProperty(Object bean, String propertyName)` Retrieve a Long bean property value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanUtils

    public BeanUtils()

Method Detail

### getBeanProperty

    public static Object getBeanProperty(Object bean,
                                         String propertyName)

  Retrieve a named bean property value.

  Parameters:
    `bean` - bean
    `propertyName` -
  Returns:
    the property value

### getLongBeanProperty

    public static long getLongBeanProperty(Object bean,
                                           String propertyName)
                                    throws NoSuchFieldException

  Retrieve a Long bean property value.

  Parameters:
    `bean` - bean
    `propertyName` -
  Returns:
    long value
  Throws:
    `NoSuchFieldException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.